<?php
/*
 * This file is part of Robot-in
 *
 * Copyright (C) 2006-2012 Hunglead,Inc. All Rights Reserved.
 *
 * http://www.hunglead.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

require_once HUNGLEAD_PLUGIN_DIR. "dao/BaseInfoDao.php";

/**
 * データベースアクセスユーティリティ
 * @author koide
 */
class DaoUtil {

	/**
	 * 必要なテーブルをすべて作成
	 */
	public static function createTableAll() {

		$baseInfoDao = new BaseInfoDao();
		$baseInfoDao->createTable();
	}

	/**
	 * 必要なテーブルをすべて削除
	 */
	public static function dropTableAll() {

		$baseInfoDao = new BaseInfoDao();
		$baseInfoDao->dropTable();
	}

	/**
	 * 基本情報を取得
	 * @return 基本情報
	 */
	public static function getBaseInfo() {
		$dao = new BaseInfoDao();
		return $dao->getInfo();
	}
}