<?php
/*
 * This file is part of Robot-in
 *
 * Copyright (C) 2006-2012 Hunglead,Inc. All Rights Reserved.
 *
 * http://www.hunglead.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

class HARC_Util_CustomizeOptionsUtil {

	/**
	 * カスタマイズオプションから受注メールタイプと色の指定をセットで取得する
	 */
	public static function getOrderMailTypeAndColorMap() {

		$param = array("customizeFunctionName" => "OrderMailType");
		$customizeOptions = ApiUtil::getCustomizeOptionsFromFunctionName($param);

		if (is_array($customizeOptions["optionValues"])) {
			$orderMailType = $customizeOptions["optionValues"]["orderMailType"];
			$orderMailTypeColor = $customizeOptions["optionValues"]["orderMailTypeColor"];
		} else {
			// 定義を取得できなければデフォルト値をセット
			$orderMailType = HungleadConstants::$orderMailType;
			$orderMailTypeColor = HungleadConstants::$orderMailTypeColor;
		}

		// 取得した値を返す
		return array("orderMailType" => $orderMailType, "orderMailTypeColor" => $orderMailTypeColor);

	}
	
	/**
	 * カスタマイズオプションから注文マークの定義を取得する
	 */
	public static function getOrderMarksDefine() {
		$param = array("customizeFunctionName" => "OrderMarks");
		$customizeOptions = ApiUtil::getCustomizeOptionsFromFunctionName($param);
		if (isset($customizeOptions["optionValues"]) && is_array($customizeOptions["optionValues"]) && count($customizeOptions["optionValues"]) > 0) {
			$orderMarks = $customizeOptions["optionValues"];
		} else {
			require_once HUNGLEAD_PLUGIN_DIR. "backend/admin/multistore/order/define.php";
			// 定義を取得できなければデフォルト値をセット
			$orderMarks = OrderCommon::$MarkDefine;
		}
		// 取得した値を返す
		return $orderMarks;
	}

	/**
	 * カスタマイズオプションから受注メールタイプを取得する
	 */
	public static function getOrderMailTypeMap() {
		$orderMailTypeAndColorMap = self::getOrderMailTypeAndColorMap();
		return $orderMailTypeAndColorMap["orderMailType"];
	}

	/**
	 * カスタマイズオプションから受注メールタイプの色指定を取得する
	 */
	public static function getOrderMailTypeColorMap() {
		$orderMailTypeAndColorMap = self::getOrderMailTypeAndColorMap();
		return $orderMailTypeAndColorMap["orderMailTypeColor"];
	}

}